/*
    Analog Joystick Interfacing with PIC18f4550
    http://www.electronicwings.com
 
 */

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <p18f4550.h>
#include "Configuration_Header_File.h"          /* Header File for Configuration bits */
#include "LCD_16x2_8-bit_Header_File.h"         /* Header File for LCD Functions */
#include "PIC18F4550_ADC_Header_File.h"         /* Header File for ADC Functions */
#include "USART_Header_File.h"                  /* Header File for USART Functions */

void main()
{    
    char data[10],data1[10];    
    int x,y;  
    OSCCON=0x72;                /*Set internal Oscillator frequency to 8 MHz*/
    LCD_Init();                 /*Initialize 16x2 LCD*/
    ADC_Init();                 /*Initialize 10-bit ADC*/
    USART_Init(9600);


    while(1)
    {        
        x=ADC_Read(0);
        sprintf(data,"%d  ",x);                  /* it is used to convert integer value to ASCII string */
        LCD_String_xy(0,0,data);                 /* send string data for printing */
        USART_SendString(data);
        MSdelay(90);
        
        y=ADC_Read(1);
        sprintf(data1,"%d  ",y);                  /* it is used to convert integer value to ASCII string*/
        LCD_String_xy(0,6,data1);                 /* send string data for printing*/          
        USART_SendString(data1);
        MSdelay(90);

        USART_TxChar(0x0A);
        USART_TxChar(0x0D);

        memset(data,0,10);
        memset(data1,0,10);

    }
    
}
