clc                                  % Clear command window
clear ALL                            % Clear all variables
delete(instrfindall);                % delete all serial port object
s = 'COM4';                          % Define serial port
Joystick = serial(s);                % Create serial port object
Joystick.BaudRate = 9600;            % Define baud rate
Joystick.Terminator = 'CR';          % Define carriage return terminator
Joystick.ByteOrder = 'bigEndian';    % Define byte order
if strcmp(Joystick.Status,'closed'), fopen(Joystick); end   % Connect the serial port object to the device if closed
data = fscanf(Joystick,'%d');        % Read data and convert it to decimal format
i = 0;

while(i<1)
data = fscanf(Joystick,'%d',[1,2]);     % Scan and copy serial port data

x =1024 - data(1,1);
y =data(1,2);
title('Joystick Pointer');
patch( [x x (x+20) (x+15) (x+25) (x+15) (x+5)],[y (y+40) (y+40) (y+30) (y+10) (y-10) (y+10)],[1,0,0])
strng = sprintf('X = %d \nY = %d',x,y);
annotation('textbox',[0.8 0.1 0.37 0.13],'string',strng,'Fontsize',15,'FitBoxToText','on');
%text(x,y,'','Fontsize',50,'color','Blue');
xlim ([-10 1050])
ylim ([-10 1100])
set(gca,'xtick',[])
set(gca,'ytick',[])
hold on
pause(0.001)
clf
i = i + .01;
end
fclose(Joystick);